# Awesome-Selfhosted

Selfhosting is the process of locally hosting and managing applications instead of renting from SaaS providers.

This is list of software which can be hosted locally.

You can help by sending Pull Requests to add more services.

Table of Contents
=================

  * [Analytics](#analytics)
  * [Automation](#automation)
  * [Blogging Platforms](#blogging-platforms)
  * [Bug and task trackers](#bug-and-task-trackers)
  * [Communication Systems](#communication-systems)
  * [Download tools](#download-tools)
  * [File Sharing](#file-sharing)
  * [File Synchronization Tools](#file-synchronization-tools)
  * [Games](#games)
  * [Gateways](#gateways)
  * [Groupware](#groupware)
  * [Media Streaming](#media-streaming)
  * [Money & Budgeting](#money-budgeting)
  * [Monitoring](#monitoring)
  * [Office Suites](#office-suites)
  * [Photo Galleries](#photo-galleries)
  * [RSS Readers](#rss-readers)
  * [Social Networks](#social-networks)
  * [URL Shorteners](#url-shorteners)

## Analytics

  * https://piwik.org/ - Piwik - Leading open-source analytics platform that gives you more than just powerful analytics. - GNU GPL 3.0

## Automation
  * https://github.com/cantino/huginn - Huginn - Allows you to build agents that monitor and act on your behalf. Built in Ruby - MIT

## Blogging platforms

 * [Chyrp](http://chyrp.net/) - An extra-awesome, extra-lightweight blog engine ([Source code](https://github.com/chyrp/chyrp))
 * [Dotclear](http://dotclear.org/) - Take control over your blog!
 * [Wordpress](https://wordpress.org/) - Create a beautiful website or blog.
 * [Blogotext](http://lehollandaisvolant.net/blogotext/en/) - a free blog-engine written in PHP and using SQLite. This offers you both an unmatched simplicity during installation and great performances. ([Source code](https://github.com/timovn/blogotext)
 * [Ghost](http://ghost.org/) - Just a blogging platform
 * [blosxom](http://blosxom.sourceforge.net/) -  a lightweight yet feature-packed weblog application designed from the ground up with simplicity, usability, and interoperability in mind.
 * [htmly](https://github.com/danpros/htmly) - Databaseless Blogging Platform (Flat-File Blog) ([Demo](http://www.htmly.com/demo/))
 * [PluXml](http://www.pluxml.org/) - XML-based blog/CMS platform
 * [Anchor CMS](http://anchorcms.com/) -  Anchor is a free, lightweight, faster-than-a-bullet, simple blogging system, made for art–directed posts. ([Source code](https://github.com/anchorcms/anchor-cms))
 * [WeblogMatrix](http://www.weblogmatrix.org/) - Blogging platforms comparator

## Bug and task trackers

  * [Bumpy Booby](http://bumpy-booby.derivoile.fr/) - A simple, responsive and highly customizable PHP bug tracking system. ([Source code](https://github.com/piero-la-lune/Bumpy-Booby))
  * [Phproject](http://www.phproject.org/) - A high performance full-featured project management system ([Source code](https://github.com/Alanaktion/phproject), [Demo](http://demo.phproject.org/))
  * [92five](http://92fiveapp.com/) - Self hosted project management application ([Source code](https://github.com/chintanbanugaria/92five))
  * [Flyspray](http://www.flyspray.org/) - uncomplicated, web-based bug tracking system ([Source code](https://github.com/Flyspray/flyspray))
  * [Tinyissue](https://github.com/mikelbring/tinyissue) - Simple Issue Tracking for Teams
  * [Kanboard](http://kanboard.net/) - A simple and open source visual task board
  * [Taiga.io](https://taiga.io/) - Your Agile, Free and Open Source Project Management Tool ([Source code](https://github.com/taigaio))
  * [Gaskit](https://github.com/bkeepers/gaskit) - a git-backed issue tracker. It uses a branch in your local git database to store the tickets.
  * [Redmine](http://www.redmine.org/) - Redmine is a flexible project management web application
  * [Apache Bloodhound](https://bloodhound.apache.org/) - Manage software products, Keep track of features, tasks and bugs
  * [ChiliProject](https://www.chiliproject.org/) - a web based project management system.

## Communication Systems

  * https://github.com/IgorAntun/node-chat - Node-Chat - A not-so-basic open-source chat with admin features. - MIT

## Content Management Systems (CMS)

 * [Pagekit](http://pagekit.com/) - A new modern CMS to create and share ([Source code](https://github.com/pagekit/pagekit)) - `MIT`

## Download tools

 * [Alltube](https://github.com/Rudloff/alltube) - A web interface for [youtube-dl](https://github.com/rg3/youtube-dl), a program to download videos and audio from [more than 100 websites](https://rg3.github.io/youtube-dl/supportedsites.html) ([Demo](http://alltubedownload.net/))

## File Sharing

  * https://coquelicot.potager.org/ - Coquelicot - Coquelicot is a “one-click” file sharing web application with a focus on protecting users’ privacy. - GNU-AGPL 3.0

## File Synchronization Tools

  * https://www.getsync.com/ - BTSync - BitTorrent Sync by BitTorrent, Inc is a proprietary peer-to-peer file synchronisation tool.
  * https://github.com/syncthing/syncthing - Syncthing - Syncthing is an open source peer-to-peer file synchronisation tool - MPL 2.0

## Games

  * https://github.com/jatekos101/20euros - 20euros - Clone of 2048 game with euros. - Unlicensed
  * https://github.com/Kshitij-Banerjee/Cubiks-2048 - Cubiks-2048 - Clone of 2048 game in 3D. - CCANC 4.0
  * https://github.com/huytd/agar.io-clone - Agar.IO Clone - Agar.io clone written with Socket.IO and HTML5 canvas - MIT

## Gateways

  * https://github.com/liftoff/GateOne/ - GateOne - Gate One is an HTML5 web-based terminal emulator and SSH client. - AGPL 3.0
  * http://guac-dev.org/ - Guacamole - Guacamole is a clientless remote desktop gateway. It supports standard protocols like VNC and RDP. - Copyright

## Groupware
  * https://kolab.org/ - http://git.kolab.org/ - Kolab - Kolab community is a unified communication and collaboration system - Various Free Software / Open Source Software Licenses
  * http://www.horde.org/ - Horde - The Horde Project is about creating high quality Open Source applications and libraries, based on PHP and the Horde Framework. - GPL + Various Free Software / Open Source Software Licenses

## Media Streaming

  * https://plex.tv/ - Plex - Plex is a centralized home media playback system with a powerful central server.
  * http://htpc.io/  - HTPC Manager - A fully responsive interface to manage all your favorite media on your HTPC. - MIT
  * https://github.com/MediaBrowser/MediaBrowser - Emby - A home media server built using other popular open source technologies. - GNU GPL 2.0

## Money & Budgeting

  * http://ihatemoney.org/ - IHateMoney - Manage your shared expenses, easily. - Copyright

## Monitoring

  * https://www.nagios.org/ - Nagios - Industry standard monitoring software, which has a lot of plugins and customisation posibilities. - GPL

## Office Suites

  * http://onlyoffice.org/ - Only Office - An office suite that enables you to manage documents, projects, team and customer relations in one place. - GNU AGPL 3.0
  * https://ethercalc.org/ - EtherCalc - Web spreadsheet. - CPAL 1.0
  * http://etherpad.org/ - Etherpad - Etherpad is a highly customizable Open Source online editor providing collaborative editing in really real-time. - Apache License

## Photo Galleries

  * http://piwigo.org/ - Piwigo - Photo gallery software for the web, built by an active community of users and developers. - GNU GPL 2.0
  * https://github.com/electerious/Lychee - Lychee - an open source grid and album based photo-management-system - MIT 

## RSS Readers

  * http://freshrss.org/ - Fresh RSS - A free, self-hostable RSS aggregator. - GNU-AGPL-3.0
  * https://tt-rss.org/redmine/projects/tt-rss/wiki - Tiny Tiny RSS - Open source web-based news feed (RSS/Atom) reader and aggregator. - GNU GPL 3.0

## Social Networks

  * https://diasporafoundation.org/ - Diaspora - Distributed social networking service. - GNU-AGPL-3.0
  * http://friendica.com/ - Friendica - Social Communication Server. GNU-AGPL 3.0
  * [BuddyPress](http://buddypress.org/about/) - A powerful plugin that takes your WordPress.org powered site beyond the blog with social-network features like user profiles, activity streams, user groups, and more.

## URL Shorteners
  * https://github.com/YOURLS/YOURLS - YOURLS - YOURLS is a set of PHP scripts that will allow you to run Your Own URL Shortener. - MIT
